Skip to content

Falcon Container

The Falcon Container service collection provides operations for managing container security. Download and manage export jobs, check prevention policies, retrieve image assessment reports, manage registry credentials, and handle container image scan inventories.

LanguageLast Update
Pythonv1.6.5
PowerShellv2.2.9
Gov0.22.0
TypeScriptv0.6.0
Rustv0.7.1
Rubyv1.4.0


OperationDescription
CreateRegistryEntities
create_registry_entities
Create a registry entity using the provided details
DeleteImageDetails
delete_image_details
Delete Images by ids.
DeleteRegistryEntities
delete_registry_entities
Delete the registry entity identified by the entity UUID
DownloadExportFile
download_export_file
Download an export file
GetCredentials
get_credentials
Gets the registry credentials
GetImageAssessmentReport
get_assessment
Retrieves the Assessment report for the Image ID provided.
GetReportByReference
get_report_by_reference
Get image assessment scan report by image reference (v2)
GetReportByScanID
get_report_by_id
Get image assessment scan report by scan UUID (v2)
HeadImageScanInventory
get_scan_headers
Get headers for POST request for image scan inventory
ImageMatchesPolicy
image_matches_policy
After an image scan, use this operation to see if any images match a policy.
LaunchExportJob
launch_export_job
Launch an export job of a Container Security resource.
PolicyChecks
check_prevention_policies
Check image prevention policies
PostImageScanInventory
scan_inventory
Post image scan inventory
QueryExportJobs
query_export_jobs
Query export jobs entities
ReadExportJobs
read_export_jobs
Read export jobs entities
ReadImageVulnerabilities
read_image_vulnerabilities
Retrieve known vulnerabilities for the provided image
ReadRegistryEntities
read_registry_entities
Retrieves a list of registry entities identified by the customer id.
ReadRegistryEntitiesByUUID
read_registry_entities_by_uuid
Retrieves a list of registry entities by the provided UUIDs.
UpdateRegistryEntities
update_registry_entities
Update the registry entity, as identified by the entity UUID, using the provided details

Create a registry entity using the provided details

Method POST
Route /container-security/entities/registries/v1
Scope Falcon Container Image: WRITE
PEP 8 create_registry_entities
body body · dictionary
Full body payload as JSON formatted dictionary.
credential body · object
type body · string
url body · string
url_uniqueness_key body · string
user_defined_alias body · string
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
credential = {
"details": {}
}
response = falcon.create_registry_entities(credential=credential,
type="string",
url="string",
url_uniqueness_key="string",
user_defined_alias="string")
print(response)
{
"created_at": "string",
"credential": {
"created_at": "string",
"details": {},
"expired": false,
"expired_at": "string",
"id": "string",
"updated_at": "string"
},
"id": "string",
"last_refreshed_at": "string",
"next_refresh_at": "string",
"refresh_interval": 0,
"state": "string",
"state_changed_at": "string",
"type": "string",
"updated_at": "string",
"url": "string",
"url_uniqueness_alias": "string",
"user_defined_alias": "string"
}


Delete Images by ids.

Method DELETE
Route /images/{}
PEP 8 delete_image_details
image_id path · string
The ID of the image to be deleted.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.delete_image_details(image_id="string")
print(response)


Delete the registry entity identified by the entity UUID

Method DELETE
Route /container-security/entities/registries/v1
Scope Falcon Container Image: WRITE
PEP 8 delete_registry_entities
ids query · string
Registry entity UUID
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.delete_registry_entities(ids=id_list)
print(response)
[
{
"created_at": "string",
"credential": {},
"id": "string",
"last_refreshed_at": "string",
"next_refresh_at": "string",
"refresh_interval": 0,
"state": "string",
"state_changed_at": "string",
"type": "string",
"updated_at": "string",
"url": "string",
"url_uniqueness_alias": "string",
"user_defined_alias": "string"
}
]


Download an export file

Method GET
Route /container-security/entities/exports/files/v1
Scope Falcon Container Image: READ
PEP 8 download_export_file
id query · string
Export job ID.
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
with open("output_file", "wb") as save_file:
response = falcon.download_export_file(id="string", stream=boolean)
save_file.write(response)
{
"errors": [
{
"code": 0,
"id": "string",
"message": "string"
}
],
"meta": {
"pagination": {
"limit": 0,
"offset": 0,
"total": 0
},
"powered_by": "string",
"query_time": 0.0,
"trace_id": "string",
"writes": {
"resources_affected": 0
}
}
}


Gets the registry credentials

Method GET
Route /container-security/entities/image-registry-credentials/v1
Scope Falcon Container CLI: READ
PEP 8 get_credentials
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_credentials()
print(response)
[
{
"token": "string"
}
]


Retrieves the Assessment report for the Image ID provided.

Method GET
Route /reports
PEP 8 get_assessment
digest query · string
The hash digest for the image.
image_id query · string
The image ID.
repository query · string
The repository the image resides within.
tag query · string
The image tag.
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_assessment(digest="string",
image_id="string",
repository="string",
tag="string")
print(response)


Get image assessment scan report by image reference (v2)

Method GET
Route /image-assessment/entities/reports/v2
Scope Falcon Container Image: READ
PEP 8 get_report_by_reference
registry query · string
Registry
repository query · string
Repository
tag query · string
Tag
image_id query · string
Image ID
digest query · string
Digest
architecture query · string
Platform architecture to filter multi-arch images (e.g. amd64, arm64)
report_format query · string
Specify image-assessment scan report format. Supported formats:
Available values (3)
cyclonedx-jsonjsonsarif
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_report_by_reference(registry="string",
repository="string",
tag="string",
image_id="string",
digest="string",
report_format="string",
architecture="string")
print(response)
{}


Get image assessment scan report by scan UUID (v2)

Method GET
Route /image-assessment/entities/reports/v2/{uuid}
Scope Falcon Container Image: READ
PEP 8 get_report_by_id
uuid path · string
Scan UUID
report_format query · string
Specify image-assessment scan report format. Supported formats:
Available values (3)
cyclonedx-jsonjsonsarif
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_report_by_id(uuid="string", report_format="string")
print(response)
{}


Get headers for POST request for image scan inventory

Method HEAD
Route /image-assessment/entities/image-inventory/v1
Scope Falcon Container CLI: READ
PEP 8 get_scan_headers
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_scan_headers()
print(response)
{
"errors": [
{
"code": 0,
"id": "string",
"message": "string"
}
],
"meta": {
"pagination": {
"limit": 0,
"offset": 0,
"total": 0
},
"powered_by": "string",
"query_time": 0.0,
"trace_id": "string",
"writes": {
"resources_affected": 0
}
},
"resources": {}
}


After an image scan, use this operation to see if any images match a policy.

Method GET
Route /policy-checks
PEP 8 image_matches_policy
repository query · string
The repository the image resides within.
tag query · string
The image tag.
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.image_matches_policy(repository="string", tag="string")
print(response)


Launch an export job of a Container Security resource.

Method POST
Route /container-security/entities/exports/v1
Scope Falcon Container Image: READ
PEP 8 launch_export_job
body body · dictionary
Full body payload as JSON formatted dictionary.
expand_vulnerabilities body · boolean
When set to true for function vulnerabilities export, includes detailed vulnerability information. Currently returns same data as without expansion - full expansion to be implemented in next step
format body · string
Format of the export file. One of:
Available values (2)
csvjson
fql body · string
Falcon Query Language string to filter documents
resource body · string
Resource to export. Refer to API docs for the possible values
sort body · string
Sort value to apply to documents. Note: not all resources support sorting
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.launch_export_job(format="string",
fql="string",
resource="string",
sort="string")
print(response)
[
"string"
]


Check image prevention policies

Method GET
Route /image-assessment/entities/policy-checks/v2
Scope Falcon Container Image: READ
PEP 8 check_prevention_policies
registry query · string
Registry
repository query · string
Repository
tag query · string
Tag
architecture query · string
Architecture e.g. ‘amd64’, ‘arm64’…
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.check_prevention_policies(registry="string",
repository="string",
tag="string",
architecture="string")
print(response)
[
{
"action": "string",
"conditions": [],
"deny": false,
"evaluated_at": "string",
"evaluation_details": {},
"image": {},
"policy": {},
"policy_group": {},
"policy_type": {}
}
]


Post image scan inventory

Method POST
Route /image-assessment/entities/image-inventory/v1
Scope Falcon Container CLI: WRITE
PEP 8 scan_inventory
body body · dictionary
Full body payload as JSON formatted dictionary.
agent_uuid body · string
Agent UUID
agent_version body · string
Agent version
agent_version_hash body · string
Agent version hash
cluster_id body · string
Cluster ID
cluster_name body · string
Cluster Name
container_id body · string
Container ID
ephemeral_scan body · boolean
Flag indicating if this is an ephemeral scan.
helm_version body · string
Helm version used
high_entropy_strings body · array
List of high entropy string dictionaries
host_ip body · string
Host IP address
host_name body · string
Host name
inventory body · object
Complete inventory detail as a dictionary
original_image_name body · string
Name of the original image
pod_id body · string
Pod ID
pod_name body · string
Pod name
pod_namespace body · string
Pod namespace
runmode body · string
Run mode
runtime_type body · string
Type of runtime used
scan_request body · object
Requested scan in dictionary format
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.scan_inventory(agent_uuid="string",
agent_version="string",
agent_version_hash="string",
cluster_id="string",
cluster_name="string",
container_id="string",
ephemeral_scan=boolean,
helm_version="string",
high_entropy_strings=[{"key": "value"}],
host_ip="string",
host_name="string",
inventory={},
original_image_name="string",
pod_id="string",
pod_name="string",
pod_namespace="string",
runmode="string",
runtime_type="string",
scan_request={})
print(response)
{
"errors": [
{
"code": 0,
"id": "string",
"message": "string"
}
],
"meta": {
"pagination": {
"limit": 0,
"offset": 0,
"total": 0
},
"powered_by": "string",
"query_time": 0.0,
"trace_id": "string",
"writes": {
"resources_affected": 0
}
},
"resources": {}
}


Query export jobs entities

Method GET
Route /container-security/queries/exports/v1
Scope Falcon Container Image: READ
PEP 8 query_export_jobs
filter query · string
Filter exports using a query in Falcon Query Language (FQL). Only the last 100 jobs are returned. Supported filter fields:
Available values (2)
resourcestatus
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_export_jobs(filter="string")
print(response)
[
"string"
]


Read export jobs entities

Method GET
Route /container-security/entities/exports/v1
Scope Falcon Container Image: READ
PEP 8 read_export_jobs
ids query · string or list of strings
Export Job IDs to read. Allowed up to 100 IDs per request.
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.read_export_jobs(ids=id_list)
print(response)
[
{
"created_at": "string",
"id": "string",
"resource": "string",
"retries": 0,
"status": "string",
"updated_at": "string"
}
]


Retrieve known vulnerabilities for the provided image

Method POST
Route /image-assessment/combined/vulnerability-lookups/v1
Scope Falcon Container CLI: WRITE
PEP 8 read_image_vulnerabilities
body body · dictionary
Full body payload as JSON formatted dictionary.
application_packages body · array
applicationPackages body · array
ApplicationPackages body · array
osversion body · string
Operating system version for the image to be checked.
packages body · array
List of images to retrieve vulnerabilities for.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
applicationPackages = [
{
"libraries": [
{
"Hash": "string",
"LayerHash": "string",
"LayerIndex": 0,
"License": "string",
"Name": "string",
"Path": "string",
"Version": "string"
}
],
"type": "string"
}
]
packages = [
{
"LayerHash": "string",
"LayerIndex": 0,
"MajorVersion": "string",
"PackageHash": "string",
"PackageProvider": "string",
"PackageSource": "string",
"Product": "string",
"SoftwareArchitecture": "string",
"Status": "string",
"Vendor": "string"
}
]
response = falcon.read_image_vulnerabilities(applicationPackages=applicationPackages,
packages=packages,
osversion="string")
print(response)
{}


Retrieves a list of registry entities identified by the customer id.

Method GET
Route /container-security/queries/registries/v1
Scope Falcon Container Image: READ
PEP 8 read_registry_entities
limit query · integer
The upper-bound on the number of records to retrieve.
offset query · integer
The offset from where to begin.
sort query · string
FQL formatted string to use to sort returned results.
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.read_registry_entities(limit=integer,
offset=integer,
sort="string")
print(response)
[
"string"
]


Retrieves a list of registry entities by the provided UUIDs.

Method GET
Route /container-security/entities/registries/v1
Scope Falcon Container Image: READ
PEP 8 read_registry_entities_by_uuid
ids query · string
Registry entity UUID
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.read_registry_entities_by_uuid(ids=id_list)
print(response)
[
{
"created_at": "string",
"credential": {},
"id": "string",
"last_refreshed_at": "string",
"next_refresh_at": "string",
"refresh_interval": 0,
"state": "string",
"state_changed_at": "string",
"type": "string",
"updated_at": "string",
"url": "string",
"url_uniqueness_alias": "string",
"user_defined_alias": "string"
}
]


Update the registry entity, as identified by the entity UUID, using the provided details

Method PATCH
Route /container-security/entities/registries/v1
Scope Falcon Container Image: WRITE
PEP 8 update_registry_entities
body body · dictionary
Full body payload as JSON formatted dictionary.
credential body · object
state body · string
Available values (2)
pauseresume
user_defined_alias body · string
id query · string
Registry entity UUID
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import FalconContainer
falcon = FalconContainer(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
credential = {
"details": {},
"type": "string"
}
response = falcon.update_registry_entities(credential=credential,
state="string",
user_defined_alias="string",
id="string")
print(response)
{
"created_at": "string",
"credential": {
"created_at": "string",
"details": {},
"expired": false,
"expired_at": "string",
"id": "string",
"updated_at": "string"
},
"id": "string",
"last_refreshed_at": "string",
"next_refresh_at": "string",
"refresh_interval": 0,
"state": "string",
"state_changed_at": "string",
"type": "string",
"updated_at": "string",
"url": "string",
"url_uniqueness_alias": "string",
"user_defined_alias": "string"
}